<div class="w-100 d-flex justify-content-end">
  <button class="btn btn-success m-3 px-5" routerLink='/Product/Add'
  routerLinkActive="router-link-active">Add Product</button>
</div>
<table mat-table [dataSource]="dataSource" class="mat-elevation-z8">

    <!--- Note that these columns can be defined in any order.
          The actual rendered columns are set as a property on the row definition" -->
  
    <!-- Position Column -->
    <ng-container matColumnDef="id">
      <th mat-header-cell *matHeaderCellDef> No. </th>
      <td mat-cell *matCellDef="let element"> {{element.id}} </td>
    </ng-container>
  
    <ng-container matColumnDef="categoryId">
      <th mat-header-cell *matHeaderCellDef> Category </th>
      <td mat-cell *matCellDef="let element"> {{element.categoryName}} </td>
    </ng-container>
  
    <!-- Name Column -->
    <ng-container matColumnDef="title">
      <th mat-header-cell *matHeaderCellDef> Title </th>
      <td mat-cell *matCellDef="let element"> {{element.title}} </td>
    </ng-container>
  
    <!-- Weight Column -->
    <ng-container matColumnDef="description">
      <th mat-header-cell *matHeaderCellDef> Description </th>
      <td mat-cell *matCellDef="let element"> {{element.description}} </td>
    </ng-container>
  
    <!-- Symbol Column -->
    <ng-container matColumnDef="price">
      <th mat-header-cell *matHeaderCellDef> Price </th>
      <td mat-cell *matCellDef="let element"> {{element.price}} </td>
    </ng-container>

    <ng-container matColumnDef="numberOfViews">
      <th mat-header-cell *matHeaderCellDef> NumberOfViews </th>
      <td mat-cell *matCellDef="let element"> {{element.numberOfViews}} </td>
    </ng-container>

     <!-- Commands Column -->
     <ng-container matColumnDef="commands">
        <th mat-header-cell *matHeaderCellDef>  </th>
        <td mat-cell *matCellDef="let element">
            <button type="button" class="btn btn-light m-2" [routerLink]="['/Product/View', element.id]"
            routerLinkActive="router-link-active" [hidden]="(dataSource.length <= 0)">View</button>
            <button type="button" class="btn btn-primary m-2" [routerLink]="['/Product/Edit', element.id]"
            routerLinkActive="router-link-active" [hidden]="(dataSource.length <= 0)">Edit</button>
            <button type="button" class="btn btn-danger m-2"  (click)="confirmDelete(element)"   [hidden]="(dataSource.length <= 0)"> Delete</button>
        </td>
      </ng-container>
    
  
    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>
  
  